{% extends "plotting.html" %}

{% block body %}
{% if not data %}
<h1>Empty dataset. Check hostname</h1>
{% else %}

<div id="plot" class="plotdiv"></div>

<script type="text/javascript">
  var data = [
    {% for vals in data.values() %}
    [ {% for point in vals.get_all_compact() %}
       [new Date({{point.timestamp}}000), {{point.value}}],
      {% endfor %}  ],
    {% endfor %}
    ];

        $.jqplot('plot', data, {
          axesDefaults: {
            labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
            tickRenderer: $.jqplot.CanvasAxisTickRenderer,
          },
          highlighter: {
            show: true,
            sizeAdjust: 7.5,
          },
          series: [{% for key in data.keys() %} {label: '{{key}}'}, {% endfor%}],
          legend: {show: true},
          axes: {
            xaxis: {
              label: "Time",
              renderer: $.jqplot.DateAxisRenderer,
              tickRenderer: $.jqplot.CanvasAxisTickRenderer,
              tickOptions: { formatString: '%T', angle: -30 },
            },
            yaxis: {
              label: "Values",
              {% if single_value is defined %}
              max: ({{single_value}} + 0.1) * 1.1,
              min: ({{single_value}} - 0.1) * 0.9,
              {% endif %}
            },
           },
          cursor: {
            show: true,
            zoom: true,
            showTooltip: false,
          },
        });
</script>

{% endif %}
{% endblock body %}
